Skip to main content
`Ctrl`+`K`

# PCFieldSplitSetGKBMaxit

Sets the maximum number of iterations for the generalized Golub-Kahan bidiagonalization preconditioner in `PCFIELDSPLIT`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSetGKBMaxit(PC pc, PetscInt maxit)

Collective

## Input Parameters

- pc - the preconditioner context

- maxit - the maximum number of iterations

## Options Database Key

- -pc_fieldsplit_gkb_maxit - default is 100

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFIELDSPLIT`, `PCFieldSplitSetGKBDelay()`, `PCFieldSplitSetGKBTol()`, `PCFieldSplitSetGKBNu()`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

## Implementations

PCFieldSplitSetGKBMaxit_FieldSplit() in src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages